Summary:        Module::Install extension to automatically convert POD to a README
Name:           perl-Module-Install-ReadmeFromPod
Version:        0.30
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-ReadmeFromPod
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-ReadmeFromPod-%{version}.tar.gz

Patch3000:         Module-Install-ReadmeFromPod-0.30-Do-not-test-PDF-file-for-new-lines.patch

BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter perl(Config) perl(inc::Module::Install)
BuildRequires:  perl(lib) perl(Module::Install::AutoLicense) perl(Module::Install::AuthorRequires) >= 0.02
BuildRequires:  perl(Module::Install::GithubMeta) perl(Module::Install::Metadata) perl(strict)
BuildRequires:  perl(base) perl(Capture::Tiny) >= 0.05 perl(IO::All)
BuildRequires:  perl(Module::Install::Base) >= 1 perl(Pod::Html) perl(Pod::Man) perl(Pod::Markdown) >= 2
BuildRequires:  perl(Pod::Text) >= 3.13 perl(vars) perl(warnings)
BuildRequires:  perl(File::Path) perl(File::Temp) perl(Test::InDistDir) perl(Test::More) >= 0.47

Requires:        perl(Capture::Tiny) >= 0.05 perl(IO::All) perl(Module::Install::Base) >= 1
Requires:       perl(Pod::Html) perl(Pod::Man) perl(Pod::Markdown) >= 2 perl(Pod::Text) >= 3.13

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Module::Install::Base\\)$

%description
Module::Install::ReadmeFromPod is a Module::Install extension that
generates a README file automatically from an indicated file containing
POD, whenever the author runs Makefile.PL. Several output formats are
supported: plain-text, HTML, PDF or manual page.

%prep
%autosetup -p1 -n Module-Install-ReadmeFromPod-%{version}

rm -r inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST
chmod -x tools/git-log.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.30-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.30-1
- initial build
